POWERCAP-INFO(1)

NAME

powercap-info - get information from the Linux power capping framework

SYNPOSIS

powercap-info [NAME [OPTION]...] [-hv]

DESCRIPTION

Prints configurations for powercap control types.

Output can be filtered by specifying a control type NAME and OPTION flags.

A control type NAME must not be empty or contain a '.' or '/'.

OPTIONS

-h, --help
    Prints the help screen

-v, --verbose
    Print errors when files cannot be read

-p, --control-type=NAME
    Deprecated, provide NAME as the first positional argument instead.

All remaining options below require a control type NAME:

-z, --zone=ZONE(S)
    The zone/subzone numbers in the control type's powercap tree (control type's root by default). Separate zones/subzones with a colon. E.g., for zone 0, subzone 2:
    -z 0:2
    Ending with a colon prevents output for subzones. E.g., for zone 0, but not subzones:
    -z 0:

-c, --constraint=CONSTRAINT
    The constraint number

All remaining options below are mutually exclusive:

-E, --enabled
    Print control type enabled/disabled status

-n, --nzones
    Print the number of zones (control type's root by default; within the -z/--zone level, if set)

The following are zone-level arguments and require -z/--zone:

-N, --nconstraints
    Print the number of zone constraints

-j, --z-energy
    Print zone energy counter

-J, --z-max-energy-range
    Print zone maximum energy counter range

-w, --z-power
    Print zone current power

-W, --z-max-power-range
    Print zone maximum current power range

-e, --z-enabled
    Print zone enabled/disabled status

-x, --z-name
    Print zone name

The following are constraint-level arguments and require -z/--zone and -c/--constraint:

-l, --c-power-limit
    Print constraint power limit

-s, --c-time-window
    Print constraint time window

-U, --c-max-power
    Print constraint maximum allowed power

-u, --c-min-power
    Print constraint minimum allowed power

-T, --c-max-time-window
    Print constraint maximum allowed time window

-t, --c-min-time-window
    Print constraint minimum allowed time window

-y, --c-name
    Print constraint name

EXAMPLES

powercap-info
    Print all zones for all control types.

powercap-info intel-rapl
    Print all zones for the intel-rapl control type.

powercap-info intel-rapl -z 0
    Print only zone 0 for the intel-rapl control type.

powercap-info intel-rapl -z 0:1
    Print zone 0, subzone 1 for the intel-rapl control type.

powercap-info intel-rapl -z 0 -c 1
    Print zone 0, constraint 1 for the intel-rapl control type.

powercap-info intel-rapl -z 0 -j
    Print the energy counter for zone 0 for the intel-rapl control type.

powercap-info intel-rapl -z 1:0 -c 0 -l
    Print the power limit for zone 1, subzone 0, constraint 0 for the intel-rapl control type.

REMARKS

Some fields are optional and/or may require administrative (super-user) privileges to read.
Fields will only be printed if they are available and readable, unless -v/--verbose is set.
If no subzone/constraint-specific outputs are requested, all available zones and constraints will be shown.

Energy units: microjoules (uJ)
Power units: microwatts (uW)
Time units: microseconds (us)

BUGS

Report bugs upstream at <https://github.com/powercap/powercap>

FILES
/sys/devices/virtual/powercap/*
/sys/class/powercap/*

AUTHORS
Connor Imes <connor.k.imes@gmail.com>

SEE ALSO
powercap-set(1)